//
//  ViewController.swift
//  AmpYoSpaceSample
//
//  Created by Lopez Valenciano, Miguel on 5/10/17.
//  Copyright © 2017 Akamai. All rights reserved.
//

import UIKit
import AmpCore
import AmpYoSpace

class ViewController: UIViewController {
    
    var ampPlayer: AmpPlayer?
    var ampYoSpaceManager: AmpYoSpaceManager?
    
    let yoSpaceUrl = "http://csm-e.cds1.yospace.com/csm/extlive/yospace02,hlssample.m3u8?yo.br=false&yo.ac=true"
    

    override func viewDidLoad() {
        super.viewDidLoad()
        // Do any additional setup after loading the view, typically from a nib.
        
        self.ampPlayer = AmpPlayer(parentView: self.view)
        self.ampPlayer?.autoplay = true
        self.ampPlayer?.setLicense("AwGZ3Q/YswIr9j6rKifx48WPCK5hG+zxW8hMrsmOc6a8N563YSEcSX5m77zSmXTck9nqMzKyi02rtGU20eTCjIUGIBYWq8lIJ9CL6ajCs5kLmknSv7WfAT5q7o1wwy8r6vB90DszVx8nElBNxAWiGXTeYzOwrFPMCWp8KklDbWaou2NjBaomp+I62LOq5rsLPf2w9L91Xbqiemhoutxn6txK/bTVSOK31Y9KAqQHVlD2Mw==")
        
        let properties:YSSessionProperties = YSSessionProperties()
        properties.timeout = 2
        YSSessionProperties.add(.DEBUG_PARSING)
        
        self.ampYoSpaceManager = AmpYoSpaceManager(yoSpaceUrl, ampPlayer: self.ampPlayer!, yoSpaceProperties: properties, streamType: .Live, observer: self, enableLogs: true)
        
        //self.ampPlayer?.handleUrl("http://mctomsl32b-i.akamaihd.net/hls/live/263410/bmx/index.m3u8")
    }

    override func didReceiveMemoryWarning() {
        super.didReceiveMemoryWarning()
        // Dispose of any resources that can be recreated.
    }

}

extension ViewController : AmpYoSpaceObserver {
    
    public func contentDidStart(_ playheadPosition: TimeInterval) {
    }
    
    public func contentDidPause(_ playheadPosition: TimeInterval) {
    }
    
    public func contentDidResume(_ playheadPosition: TimeInterval) {
    }
    
    public func contentDidEnd(_ playheadPosition: TimeInterval) {
    }
    
    public func trackingEventDidOccur(_ event: YSETrackingEvent, for advert: YSAdvert) {
    }
    
    public func trackingEventDidOccur(_ event: YSETrackingEvent, for nonlinearCreative: YSNonLinearCreative) {
    }
    
    public func advertBreakDidStart(_ adBreak: YSAdBreak) {
    }
    
    public func advertBreakDidEnd(_ adBreak: YSAdBreak) {
    }
    
    public func advertDidStart(_ advert: YSAdvert) {
    }
    
    public func advertDidEnd(_ advert: YSAdvert) {
    }
}

